Skala
Stock transfers

Replace a stock transfer

Completely replaces the data of an existing stock transfer with the provided payload.

PUT
/api/stock_transfers/{id}

Completely replaces the data of an existing stock transfer with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTransfer identifier

Request Body

application/json

The updated StockTransfer resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_transfers/string" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "series": "string",    "number": 0,    "transferDate": "2019-08-24T14:15:22Z",    "origin": "/entity/1",    "destination": "/entity/1"  }'
{
  "id": 0,
  "code": "string",
  "series": "string",
  "number": 0,
  "transferDate": "2019-08-24T14:15:22Z",
  "origin": {
    "id": 0,
    "name": "string"
  },
  "destination": {
    "id": 0,
    "name": "string"
  },
  "description": "string",
  "items": [
    {
      "id": 0,
      "stock": {
        "id": 0,
        "unit": {
          "id": 0,
          "name": "string"
        },
        "currency": {
          "id": 0,
          "name": "string",
          "code": "string",
          "symbol": "string"
        }
      },
      "stockVariant": {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          },
          "currency": {
            "id": 0,
            "name": "string",
            "code": "string",
            "symbol": "string"
          }
        },
        "name": "string"
      },
      "quantity": "string",
      "unitCost": "string",
      "totalCost": "string",
      "availableInOrigin": "string"
    }
  ],
  "status": "string"
}
Empty
Empty
Empty